@import "../../../assets/styles/main.scss";

.signupMainSection {
  background-color: #f6f6f6;
  padding: 60px 0;
  position: relative;
  // padding: 15px 0px;
  @include xxl {
    padding: 60px 15px;
  }
  .backBackgroundImage {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0px;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }
  &::after {
    content: "";
    position: absolute;
    height: 189px;
    width: 228px;
    left: 0;
    top: 35px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 1;
  }
  .signupMainGrid {
    border-radius: 50px;
    background: getColorHex("white");
    box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.17);
    @include container-medium-1;
    padding: 50px !important;
    display: grid;
    gap: 24px;
    grid-template-columns: repeat(2, 1fr);
    height: 100%;
    position: relative;
    align-self: center;
    justify-self: center;
    z-index: 9;
    @include xl {
      padding: 40px !important;
    }
    @include lg {
      padding: 30px !important;
    }
    .signupLeftMain {
      border-radius: 50px;
      background: #ffefe0;
      padding: 50px;
      display: flex;
      justify-content: center;
      width: 100%;
      align-items: center;

      @include lg {
        padding: 30px !important;
      }
    }
    .signupRightMain {
      padding: 50px;
      border-radius: 50px;
      background: #fff9f4;
      display: grid;
      gap: 35px;
      grid-template-rows: 400px 464px;
      
      @include lg {
        padding: 30px !important;
      }
      .textMain {
        display: flex;
        max-width: 498px;
        flex-direction: column;
        justify-content: center;
        gap: 40px;
        align-items: center;
        flex: 1 0 0;
        
        span {
          color: getColorHex("orange");
        }
        h1 {
          color: getColorHex("black");
          font-size: 48px;
          line-height: 125%;
          text-align: center;
          max-width: 450px;
          @include inter700;
          
          @include xxl {
            font-size: 45px;
          }
          @include lg {
            font-size: 39px;
          }
        }
        p {
          color: getColorHex("black");
          font-size: 24px;
          text-align: center;
          max-width: 400px;
          line-height: normal;
          font-weight: 600 !important;
          @include lg {
            font-size: 23px;
          }
        }
      }
      .formImage {
        // width: 498px;
        // height: 464px;
        img {
          width: 100%;
          height: 100%;
          object-fit: contain;
        }
      }
    }
  }
}
.footer_color {
  background-color: getColorHex("background");
  width: 100%;
  height: 200px;
  position: absolute;
  transform: scaleY(1.1);
  left: 0;
}
